<div class="p-20">
	<div class="mb-20">
		<div class="breadcrumbs "  >
			<a class="breadcrumbs__item"
			   [routerLink]="['../']">
				<!--<mat-icon svgIcon="arrow-left"></mat-icon>-->
				<span>
				      К списку абитуриентов
				    </span>
			</a>

		</div>

		<div>
			<h3 fxFlex=""> Создание профиля абитуриента </h3>
			<button mat-flat-button color='primary'
				(click)="sendData()"
				[disabled]="!educationForm.valid  || !entrantForm.valid || !identificationForm.valid"
			> Добавить абитуриента </button>
		</div>
	</div>
	<mat-card class="art-card">


		<!--	<button  mat-flat-button (click)="setData()">Заполнить данные</button>-->



		<!---->
		<mat-horizontal-stepper linear #stepper (selectionChange)="changeIndex($event)">
			<ng-template matStepperIcon="edit">
				<mat-icon svgIcon="pencil"></mat-icon>
			</ng-template>

			<ng-template matStepperIcon="done">
				<mat-icon svgIcon="check"></mat-icon>
			</ng-template>

			<mat-step [stepControl]="entrantForm"><!--[stepControl]="entrantForm"-->
				<form [formGroup]="entrantForm">
					<ng-template matStepLabel>Основные данные</ng-template>
					<!--<button mat-stroked-button (click)="getForms()"> Показать данные</button>-->

					<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
						<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
							<mat-label>Фамилия</mat-label>
							<input matInput formControlName="surname" required>
						</mat-form-field>

						<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
							<mat-label>Имя</mat-label>
							<input matInput formControlName="name" required>
						</mat-form-field>

						<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
							<mat-label>Отчество</mat-label>
							<input matInput formControlName="patronymic" appNullValue>
						</mat-form-field>
					</div>

					<div fxLayout="row" fxLayout.lt-md="column"  fxLayoutGap='16px'>
						<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
							<mat-label>Дата рождения</mat-label>
							<input matInput [matDatepicker]="picker"
							       formControlName="birthday"
							       required>
							<mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
							<mat-datepicker #picker></mat-datepicker>
						</mat-form-field>

						<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
							<mat-label>Пол</mat-label>
							<mat-select formControlName="id_gender" required>
								<mat-option *ngFor="let item of cls.gender.data" [value]="item.id">
									{{ item.name }}
								</mat-option>
							</mat-select>
						</mat-form-field>

						<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
							<mat-label>Гражданство</mat-label>
							<mat-select formControlName="id_okcm" required>
								<mat-option>
									<ngx-mat-select-search
										[placeholderLabel]="'Поиск'"
										[noEntriesFoundLabel]="'Ничего не найдено'"
										[(ngModel)]="search.okcm" [ngModelOptions]="{standalone: true}">
										<mat-icon ngxMatSelectSearchClear svgIcon="close"></mat-icon>
									</ngx-mat-select-search>
								</mat-option>
								<mat-option *ngFor="let item of cls.okcm.data | filter: search.okcm" [value]="item.id">
									{{ item.name }}
								</mat-option>
							</mat-select>
						</mat-form-field>
					</div>

					<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
						<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
							<mat-label>Место рождения</mat-label>
							<input matInput formControlName="birthplace" required>
						</mat-form-field>
					</div>

					<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
						<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
							<mat-label>Телефон</mat-label>
							<input matInput
							       [imask]="{mask: '+{7}(000)000-00-00'}"
							       [unmask]="false"
							       placeholder="+7(___) ___-____"
							       name="phone"
									formControlName="phone"
									appNullValue>
						</mat-form-field>

						<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
							<mat-label>email</mat-label>
							<input matInput formControlName="email"  type="email" appNullValue>
						</mat-form-field>

						<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
							<mat-label>СНИЛС</mat-label>
							<input matInput  mask="000-000-000 00"
							       formControlName="snils" required >
						</mat-form-field>
					</div>

					<ng-container *ngFor="let addr of addresses; index as index">
						<div>
							<h4 class='my-8'>{{addr.title}}</h4>
							<button mat-stroked-button *ngIf="!entrantForm.controls[addr.id]"
							        (click)="addAddress(addr.id)"> Добавить </button>
							<button mat-stroked-button *ngIf="entrantForm.controls[addr.id]"
							        (click)="delAddress(addr.id)"> Удалить </button>
						</div>

						<div *ngIf="entrantForm.controls[addr.id]" [formGroup]="entrantForm.get(addr.id)">

							<div *ngIf="addr.id === 'fact_addr' && entrantForm.controls['registration_addr']"
									class="my-16">
								<mat-checkbox (change)="copyAddress($event,
								entrantForm.get('fact_addr'),
								entrantForm.controls['registration_addr'])"> Скопировать адрес из данных адреса регистрации </mat-checkbox>
							</div>

							<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
								<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
									<mat-label>Индекс</mat-label>
									<input matInput  mask="000000"
									       formControlName="index_addr" required >
								</mat-form-field>
								<mat-form-field appearance="fill" fxFlex="66.3" fxFlex.lt-md="100" >
									<mat-label>Регион</mat-label>
									<mat-select formControlName="id_region" required>
										<mat-option>
											<ngx-mat-select-search
												[placeholderLabel]="'Поиск'"
												[noEntriesFoundLabel]="'Данные не найдены'"
												[(ngModel)]="addr.search.region"
												[ngModelOptions]="{standalone: true}"
												>
												<mat-icon ngxMatSelectSearchClear svgIcon="close"></mat-icon>
											</ngx-mat-select-search>
										</mat-option>
										<mat-option *ngFor="let item of cls.regions.data | filter: addr.search.region" [value]="item.id">
											{{ item.name }}
										</mat-option>
									</mat-select>
								</mat-form-field>
							</div>

							<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
								<mat-form-field appearance="fill" fxFlex="33.3" fxFlex.lt-md="100" >
									<mat-label>Городской округ</mat-label>
									<input matInput formControlName="city_area" appNullValue>
								</mat-form-field>
								<mat-form-field appearance="fill" fxFlex="33.3" fxFlex.lt-md="100" >
									<mat-label>Район</mat-label>
									<input matInput formControlName="area" appNullValue>
								</mat-form-field>
								<mat-form-field appearance="fill" fxFlex="33.3" fxFlex.lt-md="100" >
									<mat-label>Район опционально</mat-label>
									<input matInput formControlName="additional_area" appNullValue>
								</mat-form-field>
							</div>
							<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
								<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
									<mat-label>Город</mat-label>
									<input matInput
									       formControlName="city" required>
								</mat-form-field>
								<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
									<mat-label>Улица</mat-label>
									<input matInput
									       formControlName="street" required>
								</mat-form-field>
								<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
									<mat-label>Улица (опционально)</mat-label>
									<input matInput
									       formControlName="additional_street"
											appNullValue>
								</mat-form-field>
							</div>
							<div fxLayout="row wrap" fxLayout.lt-md="column"  fxLayoutGap.gt-md='16px'>
								<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
									<mat-label>Владение</mat-label>
									<input matInput formControlName="place" appNullValue>
								</mat-form-field>
								<div fxFlex="" fxFlex.lt-lg="100" fxLayoutGap='16px'>
									<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">
										<mat-label>Дом</mat-label>
										<input matInput formControlName="house" required>
									</mat-form-field>
									<mat-form-field appearance="fill"  fxFlex="" fxFlex.lt-md="100">
										<mat-label>Строение</mat-label>
										<input matInput formControlName="building1" appNullValue>
									</mat-form-field>
								</div>
								<div fxFlex="" fxFlex.lt-lg="100" fxLayoutGap='16px'>
									<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
										<mat-label>Строение (опционально)</mat-label>
										<input matInput formControlName="building2" appNullValue>
									</mat-form-field>
									<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
										<mat-label>Квартира</mat-label>
										<input matInput formControlName="apartment" appNullValue>
									</mat-form-field>
								</div>
							</div>

						</div>
					</ng-container>



					<div>
						<button mat-flat-button
						        matStepperNext
						        class="my-16"
						        color="accent"
						        type="button">Далее
							<mat-icon svgIcon="arrow-right"></mat-icon>
						</button>
					</div>
				</form>
			</mat-step>
			<mat-step [stepControl]="identificationForm">
				<form [formGroup]="identificationForm">
					<ng-template matStepLabel>Документ, удостоверяющий личность</ng-template>

					<h5 class="mb-12"> В качестве документа, удостоверяющего личность необходимо указать данные актуального паспорта</h5>

					<div fxLayout="row" fxLayout.lt-md="column"  fxLayoutGap='16px'>

						<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
							<mat-label>Серия</mat-label>
							<input matInput
							       mask="0000"
							       formControlName="doc_series"  required>
						</mat-form-field>

						<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
							<mat-label>Номер</mat-label>
							<input matInput
							       mask="000000"
							       formControlName="doc_number"  required>
						</mat-form-field>

						<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
							<mat-label>Дата выдачи</mat-label>
							<input matInput [matDatepicker]="issue_date_picker"
							       formControlName="issue_date"
							       required>
							<mat-datepicker-toggle matSuffix [for]="issue_date_picker"></mat-datepicker-toggle>
							<mat-datepicker #issue_date_picker></mat-datepicker>
						</mat-form-field>

						<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
							<mat-label>Код подразделения</mat-label>
							<input matInput
							       formControlName="subdivision_code"
							       required>
						</mat-form-field>
					</div>

					<div>
						<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
							<mat-label>Место выдачи</mat-label>
							<textarea matInput
							          formControlName="doc_organization"
							          required> </textarea>
						</mat-form-field>

					</div>

					<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
						<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
							<mat-label>Фамилия</mat-label>
							<input matInput
							       formControlName="surname"
							       required>
						</mat-form-field>

						<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
							<mat-label>Имя</mat-label>
							<input matInput
							       formControlName="name"
							       required>
						</mat-form-field>

						<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
							<mat-label>Отчество</mat-label>
							<input matInput
							       formControlName="patronymic" appNullValue>
						</mat-form-field>

					</div>

					<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
						<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
							<mat-label>Страна выдачи документа</mat-label>
							<mat-select formControlName="id_okcm"
							            required>
								<mat-option>
									<ngx-mat-select-search
										[placeholderLabel]="'Поиск'"
										[noEntriesFoundLabel]="'Ничего не найдено'"
										[(ngModel)]="search.okcm" [ngModelOptions]="{standalone: true}">
										<mat-icon ngxMatSelectSearchClear svgIcon="close"></mat-icon>
									</ngx-mat-select-search>
								</mat-option>
								<mat-option *ngFor="let item of cls.okcm.data | filter: search.okcm" [value]="item.id">
									{{ item.name }}
								</mat-option>
							</mat-select>
						</mat-form-field>

					</div>

					<div>
						<button mat-flat-button
						        matStepperPrevious
						        class="my-16 mr-16"
						        color="accent"
						        type="button">
							<mat-icon svgIcon="arrow-left"></mat-icon>
							Назад
						</button>

						<button mat-flat-button
						        matStepperNext
						        class="my-16"
						        color="accent"
						        type="button">Далее
							<mat-icon svgIcon="arrow-right"></mat-icon>
						</button>

					</div>
				</form>
			</mat-step>
			<mat-step [stepControl]="educationForm">
				<form [formGroup]="educationForm" >
					<ng-template matStepLabel>Документ об образовании</ng-template>

					<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
						<mat-form-field appearance="fill" fxFlex="100" fxFlex.lt-md="100" >
							<mat-label>Тип документа</mat-label>
							<mat-select formControlName="id_document_type"
							            required>
								<mat-option *ngFor="let item of cls.educationDoc.data" [value]="item.id">
									{{ item.name }}
								</mat-option>
							</mat-select>
						</mat-form-field>

						<mat-form-field appearance="fill" fxFlex="50" fxFlex.lt-md="100" >
							<mat-label>Наименование документа</mat-label>
							<input matInput formControlName="doc_name" required>
						</mat-form-field>
					</div>

					<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
						<mat-form-field appearance="fill" fxFlex="25" fxFlex.lt-md="100" >
							<mat-label>Серия</mat-label>
							<input matInput
							       formControlName="doc_series"
							       required>
						</mat-form-field>
						<mat-form-field appearance="fill" fxFlex="25" fxFlex.lt-md="100" >
							<mat-label>Номер</mat-label>
							<input matInput
							       formControlName="doc_number"
							       required>
						</mat-form-field>
						<mat-form-field appearance="fill" fxFlex="25" fxFlex.lt-md="100" >
							<mat-label>Регистрационный номер</mat-label>
							<input matInput
							       formControlName="register_number" appNullValue>
						</mat-form-field>
						<mat-form-field appearance="fill" fxFlex="25" fxFlex.lt-md="100" >
							<mat-label>Дата выдачи</mat-label>
							<input matInput [matDatepicker]="issue_date_edu_picker"
							       formControlName="issue_date"
							       required>
							<mat-datepicker-toggle matSuffix [for]="issue_date_edu_picker"></mat-datepicker-toggle>
							<mat-datepicker #issue_date_edu_picker></mat-datepicker>
						</mat-form-field>
					</div>

					<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
						<mat-form-field appearance="fill" fxFlex="50" fxFlex.lt-md="100" >
							<mat-label>Уровень образования</mat-label>
							<mat-select formControlName="id_education_level"
							            required>
								<mat-option *ngFor="let item of cls.educationLevel.data" [value]="item.id">
									{{ item.name }}
								</mat-option>
							</mat-select>
						</mat-form-field>


						<mat-form-field appearance="fill" fxFlex="50" fxFlex.lt-md="100" >
							<mat-label>Специальность по ОКСО</mat-label>
							<mat-select formControlName="id_direction">
								<mat-option>
									<ngx-mat-select-search
										[placeholderLabel]="'Поиск'"
										[noEntriesFoundLabel]="'Ничего не найдено'"
										[(ngModel)]="search.directions" [ngModelOptions]="{standalone: true}">
										<mat-icon ngxMatSelectSearchClear svgIcon="close"></mat-icon>
									</ngx-mat-select-search>
								</mat-option>
								<mat-option *ngFor="let item of cls.directions.data | filter: search.directions" [value]="item.id">
									{{ item.name }}
								</mat-option>
							</mat-select>
							<button mat-icon-button matSuffix
								*ngIf="educationForm.get('id_direction').value"
								(click)="educationForm.get('id_direction').setValue(null); $event.stopPropagation()">
								<mat-icon svgIcon="close"></mat-icon>
							</button>
						</mat-form-field>
					</div>

					<div fxLayout="row" fxLayout.lt-md="column"  fxLayoutGap='16px'>
						<mat-form-field appearance="fill" fxFlex="100" fxFlex.lt-md="100" >
							<mat-label>Место выдачи</mat-label>
							<textarea matInput
							          formControlName="doc_org" appNullValue> </textarea>
						</mat-form-field>

					</div>

					<div>
						<button mat-flat-button
						        matStepperPrevious
						        class="my-16 mr-16"
						        color="accent"
						        type="button">
							<mat-icon svgIcon="arrow-left"></mat-icon>
							Назад
						</button>
					</div>
				</form>
			</mat-step>
		</mat-horizontal-stepper>

	</mat-card>


</div>


